Gem::Specification.new do |s|

  s.name            = 'logstash-filter-schemavalid'
  s.version         = '0.1.0'
  s.licenses        = ['Apache License (2.0)']
  s.summary         = "This filter helps to verify if the given JSON data is valid with JSON schema"
  s.description     = ""
  s.authors         = ["Augustyn"]
  s.email           = 'michal.augustyn@nokia.com'
  s.homepage        = ""
  s.require_paths = ["lib"]

  # Files
  s.files = Dir['lib/**/*','spec/**/*','vendor/**/*','*.gemspec','*.md','CONTRIBUTORS','Gemfile','LICENSE','NOTICE.TXT']

  # Tests
  s.test_files = s.files.grep(%r{^(test|spec|features)/})

  # Special flag to let us know this is actually a logstash plugin
  s.metadata = { "logstash_plugin" => "true", "logstash_group" => "filter" }

  # Gem dependencies
  s.add_runtime_dependency "logstash-core-plugin-api", "~> 1.3.0"
  s.add_runtime_dependency 'json-schema', '~> 2.6', '>= 2.6.2'
  s.add_development_dependency 'logstash-devutils'
end

